Tags voor dit FAQ item:
IPv6 Linux Wordpress

Help ons door dit artikel te beoordelen!

Score van 5 sterren, gebaseerd op 1 beoordelingen

Foutmelding: WordPress kon geen beveiligde verbinding maken met WordPress.org

Laatste bijgewerkt: 07/12/2017

Dit artikel omschrijft een probleem met Wordpress 4.9.1+ waarbij het niet mogelijk is om plugins of thema's te installeren via het Wordpress Dashboard.

Op het eerste zicht lijkt het of de Wordpress installatie niet corect verlopen is, of ergens een probleem is met de hosting zelf. Echter, achter de schermen maakt Wordpress gebruik van cURL voor het verbinden met de api.wordpress.org server.
Zelfs als u vanop de server (via SSH) gaat testen of u deze kan bereiken is dit geen probleem, de server is bereikbaar.
Als u een manuele cURL call uitvoert:

curl api.wordpress.org

Kan u verbinding maken.
Echter, als u verbinding probeert te maken met de api.wordpress.org servers via IPv6:

curl -6 api.wordpress.org 

Krijgt u een foutmelding.
Dit helpt ons het probleem te beperken tot IPv6.
Het probleem is dus blijkbaar met het resolven van de hostnaam.

De enige manier om dit probleem te omzeilen is door een Wordpress core bestand aan te passen. Let wel op, door dit bestand aan te passen zal het update proces in de toekomst problemen geven!

Op het moment van schrijven (07.12.2017) was er nog geen fix voor dit probleem in de Wordpress versie, voorlopig is dit dus de enige oplossing.

Het schrijven van een custom action helpt ook niet meteen daat dit om een basis functionaliteit binnen Wordpress gaat.

Wijzig het bestand wp-includes/Requests/Transport/cURL.php en voeg volgende regel toe (op lijn 97):

curl_setopt($this->handle, CURLOPT_RESOLVE, array("api.wordpress.org:80:66.155.40.187", "api.wordpress.org:443:66.155.40.187", "downloads.wordpress.org:80:66.155.40.203", "downloads.wordpress.org:443:66.155.40.203"));

Dit is uiteraard een tijdelijke oplossing, maar zo kan u tenminste verder met installatie van plugins e.d.